@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

:root {
    --bs-primary-rgb: #198743f /*#2874f0*/ !important;
}

body {
    font-family: 'Roboto', sans-serif;
    background-color: #f1f3f6;
    font-size: 14px;
}

.bg-primary {
    background-color: #198743fa !important;
    /*var(--bs-primary-rgb) !important;*/
}

.navbar {
    height: 56px;
}

.explore {
    min-width: 137px;
    text-align: end;
    margin-right: 0;
}

.explore p {
    margin-top: -3px;
    color: #fff;
    font-style: italic;
    font-size: 11px;
    margin-bottom: 0px;
}

.explore span {
    color: #ffe500;
}

.navMenu {
    box-sizing: border-box;
    padding-left: 30px;
    z-index: 99;
}

.navMenu li a {
    font-size: 16px;
    line-height: 20px;
    letter-spacing: .5px;
    font-weight: bold;
    color: #fff;
}

.navMenu li a:hover {
    color: #fff;
}

#searchInp {
    font-size: 14px;
    outline: none;
    padding: 0px 16px;
    margin: 0 auto 0 12px;
    border-radius: 2px 0 0 2px;
    border: inherit;
}

#searchInp:focus {
    box-shadow: none;
}

.nav-link:focus {
    color: #fff;
}

.navMenu .dropdown-menu {
    margin-top: 10px;
    margin-left: -100px;
    border-radius: 0;
    border: none;
    padding: 0px;
    width: 240px;
    box-shadow: 0 4px 16px 0 rgb(0 0 0 / 20%);
}

.dropdown:hover .dropdown-menu{
    display: block;
}

.dropdown-menu li i {
    padding-right: 10px;
}

.dropdown-menu li a {
    background-color: #fff;
    line-height: 18px;
    font-weight: 400;
    text-align: left;
    font-size: 14px;
    padding: 15px 12px;
    color: #212121 !important;
}

.dropdown-menu hr {
    margin: 0px;
}

.navbar-toggler:focus {
    box-shadow: none;
}

.navbar>.container-lg {
    justify-content: start;
}

#loginBtn {
    background-color: #fff;
    color: var(--bs-primary-rgb);
    font-weight: bold;
    font-size: 15px;
    border-radius: 2px;
    cursor: pointer;
    padding: 5px 40px;
    border: 1px solid #dbdbdb;
}

.categoriesContainer {
    background-color: #fff;
    box-shadow: 0 1px 1px 0 rgb(0 0 0 / 16%);
    display: flex;
    justify-content: center;
}

#categories {
    width: 100%;
    max-width: 1280px;
    display: flex;
    justify-content: space-around;
    overflow-x: auto;
}

#categories .category-item {
    min-width: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 12px 8px;
    cursor: pointer;
}

.category-item p {
    font-weight: bold;
    font-size: 14px;
    margin-bottom: 5px;
}

main {
    max-width: 1680px;
    margin: 0px auto;
    padding: 8px;
}

.carousel-control-next,
.carousel-control-prev,
.swiper-button-next,
.swiper-button-prev {
    cursor: auto;
    width: 47px;
    opacity: 1;
    margin: 0;
    padding: 0;
}

.banners .next-icon,
.banners .prev-icon {
    box-shadow: 0 1px 5px 0 rgb(0 0 0 / 11%);
}

.next-icon {
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
}

.prev-icon {
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
}

.next-icon,
.prev-icon {
    margin: 0;
    padding: 0;
    background-color: white;
    height: 104px;
    width: 100%;
    color: #212121;
    opacity: 1;
    display: grid;
    justify-content: center;
    align-items: center;
    box-shadow: 1px 2px 10px 1px rgb(0 0 0 / 30%);
}

/* Product section */
.products,
.banners {
    padding: 0px 0px 10px;
}

.products-container {
    display: flex;
    gap: 1;
    background-color: #fff;
    overflow: auto;
}

.products-container .product-card {
    padding: 25px 15px;
    text-align: center;
}

.product-card:hover .product-image {
    translate: scale(1.03);
}

.product-card .product-image {
    position: relative;
    width: 200px;
    height: 200px;
}

.product-image img {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    max-width: 100%;
    max-height: 100%;
}

.product-card .product-title {
    font-size: 14px;
    font-weight: bold;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.product-card .product-price {
    font-size: 16px;
    color: #388e3c;
}

.product-card .product-price {
    font-size: 16px;
    color: #388e3c;
}

.product-card .product-brand {
    opacity: .6;
}

.summer-products .category-card {
    background-image: url("https://rukminim1.flixcart.com/fk-p-flap/278/278/image/b84f1c22cce1a6a3.jpg?q=90");
}

.sport-products .category-card{
    background-image: url("https://rukminim1.flixcart.com/fk-p-flap/278/278/image/898b527fdf29b17a.jpg?q=90");
}

.category-card {
    text-align: center;
    max-width: 280px;
    min-width: 280px;
    background-repeat: no-repeat;
    object-fit: cover;
    background-position: bottom;
    background-image: url("https://rukminim1.flixcart.com/fk-p-flap/278/278/image/7593e7b6640822c1.jpg?q=90");
    justify-content: flex-end;
    margin-top: 60px;
    padding: 28px 10px 124px;
}

.category-card .card-btn {
    border-radius: 2px;
    padding: 10px 20px;
    font-weight: bold;
    letter-spacing: 1px;
    background-color: #2874f0;
    box-shadow: 0 2px 4px 0 rgb(0 0 0 / 20%);
    border: none;
    font-size: 13px;
    text-transform: capitalize;
}

.category-card .card-title {
    font-size: 30px;
    line-height: 1.38;
    font-weight: 400;
    word-wrap: break-word;
}

.swiper-slide {
    width: auto;
}

.swiper-button-next:after,
.swiper-button-prev:after {
    content: none;
}

.swiper-button-next,
.swiper-button-prev {
    background-color: hsla(0, 0%, 100%, .98);
    margin: -10px;
}

.swiper-button-next.swiper-button-disabled,
.swiper-button-prev.swiper-button-disabled {
    display: none;
}

.products>div {
    box-shadow: 0 2px 4px 0 rgb(0 0 0 / 8%);
}

@media screen and (max-width: 989px) {
    .explore {
        width: auto;
        text-align: center;
    }

    .navMenu li,
    .input-group {
        margin: 10px 20px;
    }

    main {
        width: 100%;
        padding: 0;
    }

    .next-icon,
    .prev-icon {
        height: 100%;
        width: 70%;
        background-color: transparent;
        border-radius: 0;
    }

    .category-card {
        display: none;
    }

    .swiper-button-next,
    .swiper-button-prev {
        display: none;
    }
}

.br-0 {
    border-radius: 0px;
}

.br-2 {
    border-radius: 2px;
}